Loading...
Searching...
No Matches
itk::OpenCLLogger Class Reference

`#include <itkOpenCLLogger.h>`

## Detailed Description

Used for logging OpenCL compiler errors during a run.

Author
  Denis P. Shamonin and Marius Staring. Division of Image Processing, Department of Radiology, Leiden, The Netherlands

Note
  This work was funded by the Netherlands Organisation for Scientific Research (NWO NRG-2010.02 and NWO 639.021.124).

Definition at line 36 of file itkOpenCLLogger.h.

Inheritance diagram for itk::OpenCLLogger:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | Pointer = SmartPointer<Self>
using | Self = OpenCLLogger
using | Superclass = LoggerBase

## Public Member Functions

virtual const char * | GetClassName () const
std::string | GetLogFileName () const
bool | IsCreated () const
| ITK_DISALLOW_COPY_AND_MOVE (OpenCLLogger)
void | SetLogFileNamePrefix (const std::string &prefix)
virtual void | SetOutputDirectory (const char *_arg)
void | Write (PriorityLevelEnum level, std::string const &content) override

## Static Public Member Functions

static Pointer | GetInstance ()
static Pointer | New ()

## Protected Member Functions

void | Initialize ()
| OpenCLLogger ()
| ~OpenCLLogger () override

## Private Attributes

bool | m_Created {}
std::string | m_FileName {}
std::ostream * | m_FileStream {}
std::string | m_OutputDirectory {}
itk::StdStreamLogOutput::Pointer | m_Stream {}

## Static Private Attributes

static Pointer | m_Instance

## Member Typedef Documentation

## ConstPointer

using itk::OpenCLLogger::ConstPointer = SmartPointer<const Self>

Definition at line 44 of file itkOpenCLLogger.h.

## Pointer

using itk::OpenCLLogger::Pointer = SmartPointer<Self>

Definition at line 43 of file itkOpenCLLogger.h.

## Self

using itk::OpenCLLogger::Self = OpenCLLogger

Definition at line 41 of file itkOpenCLLogger.h.

## Superclass

using itk::OpenCLLogger::Superclass = LoggerBase

Definition at line 42 of file itkOpenCLLogger.h.

## Constructor & Destructor Documentation

## OpenCLLogger()

itk::OpenCLLogger::OpenCLLogger | ( |  | ) |

protected

Constructor

## ~OpenCLLogger()

itk::OpenCLLogger::~OpenCLLogger | ( |  | ) |

override protected

Destructor

## Member Function Documentation

## GetClassName()

virtual const char * itk::OpenCLLogger::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

## GetInstance()

Pointer itk::OpenCLLogger::GetInstance | ( |  | ) |

static

Return the singleton instance with no reference counting.

## GetLogFileName()

std::string itk::OpenCLLogger::GetLogFileName | ( |  | ) | const

inline

Get the log filename.

Definition at line 67 of file itkOpenCLLogger.h.

## Initialize()

void itk::OpenCLLogger::Initialize | ( |  | ) |

protected

Initialize

## IsCreated()

bool itk::OpenCLLogger::IsCreated | ( |  | ) | const

Returns true if the underlying OpenCL logger has been created, false otherwise.

## ITK_DISALLOW_COPY_AND_MOVE()

itk::OpenCLLogger::ITK_DISALLOW_COPY_AND_MOVE | ( | OpenCLLogger |  | ) |

## New()

Pointer itk::OpenCLLogger::New | ( |  | ) |

static

This is a singleton pattern New. There will only be ONE reference to a OpenCLLogger object per process. Clients that call this must call Delete on the object so that the reference counting will work. The single instance will be unreferenced when the program exits.

## SetLogFileNamePrefix()

void itk::OpenCLLogger::SetLogFileNamePrefix | ( | const std::string & | prefix | ) |

Set log filename prefix.

## SetOutputDirectory()

virtual void itk::OpenCLLogger::SetOutputDirectory | ( | const char * | _arg | ) |

virtual

Set output directory for logger.

## Write()

void itk::OpenCLLogger::Write | ( | PriorityLevelEnum | level,
|  | std::string const & | content )

override

Overloaded.

## Field Documentation

## m_Created

bool itk::OpenCLLogger::m_Created {}

private

Definition at line 103 of file itkOpenCLLogger.h.

## m_FileName

std::string itk::OpenCLLogger::m_FileName {}

private

Definition at line 98 of file itkOpenCLLogger.h.

## m_FileStream

std::ostream* itk::OpenCLLogger::m_FileStream {}

private

Definition at line 102 of file itkOpenCLLogger.h.

## m_Instance

Pointer itk::OpenCLLogger::m_Instance

static private

Definition at line 96 of file itkOpenCLLogger.h.

## m_OutputDirectory

std::string itk::OpenCLLogger::m_OutputDirectory {}

private

Definition at line 99 of file itkOpenCLLogger.h.

## m_Stream

itk::StdStreamLogOutput::Pointer itk::OpenCLLogger::m_Stream {}

private

Definition at line 101 of file itkOpenCLLogger.h.

Generated on 1768596610 for elastix by 1.15.0 |